Bug 235525 - How to completely hose your Evolution + Exchange configuration
How to completely hose your Evolution + Exchange configuration
Product: Fedora
Classification: Fedora
Component: evolution-connector (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Matthew Barnes
Depends On:
  Show dependency treegraph
Reported: 2007-04-06 14:21 EDT by Jonathan Kamens
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-02 20:46:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2007-04-06 14:21:10 EDT
Here's how to completely hose your Evolution + Exchange configuration, such that
all you can do to recover from it (at least, all I could find to do) is to start
blowing away ~/.evolution, ~/.gconf/apps/evolution, the evolution lines in
~/.gconfd/saved-state, etc., until things are cleaned up enough that you can
reconfigure everything from scratch.

1. View an Exchange folder.
2. In the search bar, change "Current Folder" to "Current Account".

You'll immediately get a dialog telling you that the connection to the exchange
connector process was lost.  Try to click OK; if you're lucky, it may even let
you.  Then it'll tell you again, and again.  Try killing and restarting
Evolution; nope, you're back in the same state.  Try starting in off-line mode.
 *Maybe* that will work, except I'm not sure because at some point during all
this I inadvertently made things even worse by changing "Current Account" to
"All Accounts", which completely and utterly hosed everything and brought my
machine to such a level of hosage that I had to hit the reset button.

jik2:~!1068$ rpm -q evolution evolution-connector evolution-data-server 
Comment 1 Jonathan Kamens 2007-04-06 14:32:54 EDT
It looks like killing all the evolution processes with evolution
--force-shutdown and then removing all the cmeta files in ~/.evolution is
sufficient to solve the problem.
Comment 2 Matthew Barnes 2007-10-02 14:20:22 EDT
Is this problem still present in Fedora 8 Test 2 or later?
Comment 3 Jonathan Kamens 2007-10-02 20:46:32 EDT
I can't reproduce this in the current Rawhide RPMs.

Note You need to log in before you can comment on or make changes to this bug.